Subject: bug#18707: [PATCH] dfa: print detail of DFA states in a debug mode

From: Norihiro Tanaka <[email-masked]>
Date: Tue, 25 Nov 2014 09:26:42 +0900

On Mon, 13 Oct 2014 19:39:21 +0900
Norihiro Tanaka <[email-masked]> wrote:
> If compile grep with -DDEBUG option, it outputs tokens etc.  In addition
> to them, DFA states and transitions are output by this patch.  Debugging
> them, the patch will be very useful.
> 
> BTW, the patch doesn't make any changes without -DDEBUG option.

I fixed some warnings output in compilation, and rebased it.